Critical Flash Update Available

A recent Adobe Flash patch has fixed 34 different security vulnerabilities. You should be aware that if you have Flash installed, even if you do not use it, you are still at risk. Windows and Mac users should update to version 18.0.0.232 and if you are using a Linux computer you need to update to 18.0.0.199.

If you are unsure what version of adobe flash player you are running you can click this link to find out. To update to the latest adobe flash player click this link.

To see a list of all vulnerable applications visit the Adobe website here.

Learn more about how our IT experts can protect your business.

Awards

We use cookies on this website, you can find more information about cookies here.